  (psc-include '("3D/3d-embed.lsp" "embed/dialog.lsp" "embed/draw.lsp"))

  (defun-q c:embed ( / sel ent dat app rot obj delta)
    "Creates or edits one or more embeds"
    (setq sel (get-sset '("Embed,3D_Embed")))
    (if (< (length sel) 2)
      (progn
        (setq
          ent (car sel)
          dat (if ent (read-xdata ent "") (embed-dcl-defaults))
          app (xd-value "app_id" dat)
          dat (embed-dialog dat)
        ) ;_ setq
        (if dat (with-data dat '((single-embed))))
      ) ;_ progn
      (if (setq delta (multi-embed-dialog)) (multi-embed delta))
    ) ;_ if
  ) ;_ defun-q c:embed
  (defun-r 'c:embed)
