(psc-include '("fab/util.lsp"))

(defun-q c:fab (/ types enames job-info jobno)
  "Creates fab drawings from selected blocks

If development mode is enabled, drawings will be re-opened once they are done
processing. Otherwise, they are left closed."
  (setq job-info (get-job-info)
        jobno (xd-value "number" job-info)
        types (fab-get-types)
        enames (if types
                 (if (not (member "guard_rails" types))
                   (get-stairland 'both T)
                   (get-sset '("Guard")))))
  (if (and types enames)
      (make-fab-dwgs types enames))
  (princ))
(defun-r 'c:fab)

