(psc-include '("dialog/dialog.lsp"))

(defun-q c:update-chk (/ update initials files)
  "Updates checker initials in fab drawings"
  (defun update (initials)
    (vla-replace-string modelspace "NEC" initials)
    (vla-Save acaddoc))

  (setq files (get-files-this-dir (vla-get-path acaddoc)))
  (if files
      (progn
        (setq initials (getstring "\nChecker initials: "))
        (foreach filename files
                 (open-and filename nil 'update (list initials))))))
(defun-r 'c:update-chk)
