land_multi : dialog {
  label = "Landing multi-edit";

  : column {

    : row {

      : column {

	: row {

	  : column {
	    basic_info;

	    : row {
	      location;
	      x_bracing;
	    }
	  }

	  : column {
	    depth;
	    width;
	  }
	}
      }
    }
    back_channel;
    front_channel;
  }

  multi_comment_row;
  save_cancel_defaults;
}

basic_info : boxed_column {
  label = "Basic &Information";

  : row {
    : edit12_box {
      label = "Stair";
      key = "number";
    }

    : multi_enable {
      key = "enable_number";
    }
  }

  : row {
    : edit12_box {
      key = "head_clr";
      label = "Head Clearance";
    }

    : multi_enable {
      key = "enable_head_clr";
    }
  }

  : row {
    : popup_list {
      label = "Tread Style";
      key = "tread_style";
      edit_width = 29;
    }

    : button {
      label = "&Options";
      key = "tread_opts";
      fixed_width = true;
    }

    : toggle {
      key = "enable_tread_style";
    }
  }

  : row {
    : popup_list {
      label = "Finish";
      key = "finish";
      edit_width = 40;
    }

    : multi_enable {
      key = "enable_finish";
    }
  }

  vshim;
}

location : boxed_column {
  label = "&Location";

  : row {
    : text {
      label = "Renumber levels";
    }

    : multi_enable {
      key = "enable_level";
    }
  }

  : edit12_box {
    label = "Level";
    key = "level";
  }

  : edit12_box {
    label = "Platforms per level";
    key = "plts_level";
  }

  : row {
    : text {
      label = "Switch sides";
      key = "side";
    }

    : multi_enable {
      key = "enable_side";
    }
  }

  vshim;
}

width : boxed_column {
  label = "&Width";

  : row {
    : text {
      label = "Modify Width";
    }

    : multi_enable {
      key = "mod_wid";
    }
  }
  
  : edit12_box {
    label = "Shaft Width";
    key = "tot_wid";
  }

  : edit12_box {
    label = "Platform Width";
    key = "plt_wid";
  }

  : edit12_box {
    label = "Left Gap";
    key = "left_gap";
  }

  : edit12_box {
    label = "Right Gap";
    key = "right_gap";
  }

  vshim;
}

depth : boxed_column {
  label = "D&epth";

  : row {
    : text {
      label = "Modify Depth";
    }

    : multi_enable {
      key = "mod_dpt";
    }
  }

  : edit12_box {
    label = "Nosing to Wall/Nosing";
    key = "tot_dpt";
  }

  : edit12_box {
    label = "Front Stair Nosing Distance";
    key = "stair_ndist";
  }

  : edit12_box {
    label = "Platform Depth";
    key = "plt_dpt";
  }

  : edit12_box {
    label = "Back Gap/Nosing";
    key = "back_gap";
  }

  vshim;
}

front_channel : boxed_row {
  label = "&Front Channel";

  : column {

    : row {
      : row {
	fixed_width = true;
	width = 55;
	
	: row {
	  : popup25_list {
	    label = "Size";
	    key = "front_chan";
	    fixed_width = true;
	    width = 35;
	  }

	  : multi_enable {
	    key = "enable_front_chan";
	  }
	}

	: row {
	  : button10 {
	    label = "Bolts";
	    key = "front_chan_bolts";
	  }

	  : multi_enable {
	    key = "enable_front_chan_bolts";
	  }
	}
      }
    }

    : row {
      : boxed_column {
	label = "&Left Connections";

        : row {
          : popup30_list {
            label = "Channel Detail";
            key = "fl_chan";
          }

          : multi_enable {
            key = "enable_fl_chan";
          }
        }

        : row {
          : popup30_list {
            label = "Support Detail";
            key = "fl_supp";
            edit_width = 22.5;
          }

          : opts_button {
            key = "fl_conn_opts";
          }
        }

	: row {
	  : column {
            : row {
              : edit12_box {
                label = "Channel Extension";
                key = "fl_ext";
              }

              : multi_enable {
                key = "enable_fl_ext";
              }
            }

            : row {
              : edit12_box {
                label = "Support Length";
                key = "fl_len";
              }

              : multi_enable {
                key = "enable_fl_len";
              }
            }
	  }
	}
	vshim;
      }

      : boxed_column {
	label = "&Right Connections";

        : row {
          : popup30_list {
            label = "Channel Detail";
            key = "fr_chan";
          }

          : multi_enable {
            key = "enable_fr_chan";
          }
        }

        : row {
          : popup30_list {
            label = "Support Detail";
            key = "fr_supp";
            edit_width = 22.5;
          }

          : opts_button {
            key = "fr_conn_opts";
          }
        }

	: row {
	  : column {
            : row {
              : edit12_box {
                label = "Channel Extension";
                key = "fr_ext";
              }

              : multi_enable {
                key = "enable_fr_ext";
              }
            }

            : row {
              : edit12_box {
                label = "Support Length";
                key = "fr_len";
              }

              : multi_enable {
                key = "enable_fr_len";
              }
            }
	  }
	}
	vshim;
      }
    }
    vshim;
  }
}

back_channel : boxed_row {
  label = "&Back Channel";
      
  : column {
    : row {
      : row {
	fixed_width = true;
	width = 55;
	
	: row {
	  : popup25_list {
	    label = "Size";
	    key = "back_chan";
	    fixed_width = true;
	    width = 35;
	  }

	  : multi_enable {
	    key = "enable_back_chan";
	  }
	}

	: row {
	  : button10 {
	    label = "Bolts";
	    key = "back_chan_bolts";
	  }

	  : multi_enable {
	    key = "enable_back_chan_bolts";
	  }
	}
      }

      : row {

	: row {
	  : edit12_box {
	    label = "Location";
	    key = "back_chan_loc";
	    fixed_width = true;
	    width = 25;
	  }

	  : multi_enable {
	    key = "enable_back_chan_loc";
	  }
	}

	spacer;

	: row {
	  : toggle {
	    label = "Flip";
	    key = "flip_back";
	  }

	  : multi_enable {
	    key = "enable_flip_back";
	  }
	}
      }
    }

    : row {
      : boxed_column {
	label = "&Left Connections";

        : row {
          : popup30_list {
            label = "Channel Detail";
            key = "bl_chan";
          }

              : multi_enable {
            key = "enable_bl_chan";
          }
        }

        : row {
          : popup30_list {
            label = "Support Detail";
            key = "bl_supp";
            edit_width = 22.5;
          }

              : opts_button {
            key = "bl_conn_opts";
          }
        }

	: row {
	  : column {
            : row {
              : edit12_box {
                label = "Channel Extension";
                key = "bl_ext";
              }

                  : multi_enable {
                key = "enable_bl_ext";
              }
            }

                : row {
              : edit12_box {
                label = "Support Length";
                key = "bl_len";
              }

                  : multi_enable {
                key = "enable_bl_len";
              }
            }
	  }
	}
	vshim;
      }

      : boxed_column {
	label = "&Right Connections";

        : row {
          : popup30_list {
            label = "Channel Detail";
            key = "br_chan";
          }

              : multi_enable {
            key = "enable_br_chan";
          }
        }

        : row {
          : popup30_list {
            label = "Support Detail";
            key = "br_supp";
            edit_width = 22.5;
          }

              : opts_button {
            key = "br_conn_opts";
          }
        }

	: row {
	  : column {
            : row {
              : edit12_box {
                label = "Channel Extension";
                key = "br_ext";
              }

                  : multi_enable {
                key = "enable_br_ext";
              }
            }

                : row {
              : edit12_box {
                label = "Support Length";
                key = "br_len";
              }

                  : multi_enable {
                key = "enable_br_len";
              }
            }
	  }
	}
	vshim;
      }
    }
    vshim;
  }
}

button10 : button {
  width = 10;
  fixed_width = true;
}

opts_button : button {
  label = "Options";
}

x_bracing : boxed_row {
  label = "&X-Bracing";

  : column {
    : row {
      : toggle {
	label = "Front";
	key = "f_brace";
      }
      : edit5_box {
        key = "f_brace_hold";
      }
      : multi_enable {
	key = "enable_f_brace";
      }
    }
    : row {
      : toggle {
	label = "Back";
	key = "b_brace";
      }
      : edit5_box {
        key = "b_brace_hold";
      }
      : multi_enable {
	key = "enable_b_brace";
      }
    }
    : row {
      : toggle {
	label = "Left";
	key = "l_brace";
      }
      : edit5_box {
        key = "l_brace_hold";
      }
      : multi_enable {
	key = "enable_l_brace";
      }
    }
    : row {
      : toggle {
	label = "Right";
	key = "r_brace";
      }
      : edit5_box {
        key = "r_brace_hold";
      }
      : multi_enable {
	key = "enable_r_brace";
      }
    }
  }
}
