land : dialog {
  label = "Landing";

  : column {

    : row {

      : column {

	: row {

	  : column {
	    basic_info;

	    : row {
	      location;
	      x_bracing;
	    }

	    misc;
	  }

	  : column {
	    depth;
	    width;
	  }
	}
      }
    }
    back_channel;
    front_channel;
  }

  comment_row;
  save_cancel_defaults;
}

basic_info : boxed_column {
  label = "Basic &Information";

  : edit12_box {
    label = "Stair";
    key = "number";
  }

  : edit12_box {
    key = "head_clr";
    label = "Head Clearance";
  }

  : row {
    : popup_list {
      label = "Tread Style";
      key = "tread_style";
      edit_width = 29;
    }

    : button {
      label = "&Options";
      key = "tread_opts";
      fixed_width = true;
    }
  }

  : popup_list {
    label = "Finish";
    key = "finish";
    edit_width = 40;
  }

  vshim;
}

location : boxed_column {
  label = "&Location";

  : edit12_box {
    label = "Level";
    key = "level";
  }

  : edit12_box {
    label = "Sequence";
    key = "sequence";
  }

  : popup_list {
    label = "Side (Elevation)";
    key = "side";
    edit_width = 11.2;
  }

  vshim;
}

width : boxed_column {
  label = "&Width";

  : edit12_box {
    label = "Shaft Width";
    key = "tot_wid";
  }

  : edit12_box {
    label = "Platform Width";
    key = "plt_wid";
  }

  : edit12_box {
    label = "Left Gap";
    key = "left_gap";
  }

  : edit12_box {
    label = "Right Gap";
    key = "right_gap";
  }

  vshim;
}

depth : boxed_column {
  label = "D&epth";

  : row {
    : text {
      key = "tot_dpt_label";
      value = "Nosing to Wall";
      width = 25;
    }

    : edit12_box {
      key = "tot_dpt";
    }
  }

  : edit12_box {
    label = "Front Stair Nosing Distance";
    key = "stair_ndist";
  }

  : edit12_box {
    label = "Platform Depth";
    key = "plt_dpt";
  }

  : row {
    : text {
      key = "back_gap_label";
      value = "Back Gap";
      width = 25;
    }

    : edit12_box {
      key = "back_gap";
    }
  }

  vshim;
}

front_channel : boxed_row {
  label = "&Front Channel";

  : column {

    : row {
      : row {
	fixed_width = true;
	width = 55;
	
	: popup25_list {
	  label = "Size";
	  key = "front_chan";
	  fixed_width = true;
	  width = 35;
	}

	: button10 {
	  label = "Bolts";
	  key = "front_chan_bolts";
	}
      }
    }

    : row {
      : boxed_column {
	label = "&Left Connections";

	: popup30_list {
	  label = "Channel Detail";
	  key = "fl_chan";
	}

	: popup30_list {
	  label = "Support Detail";
	  key = "fl_supp";
	}

	: row {
	  : column {
	    : edit12_box {
	      label = "Channel Extension";
	      key = "fl_ext";
	    }
	    : edit12_box {
	      label = "Support Length";
	      key = "fl_len";
	    }
	  }
	  : column { 
	    : opts_button {
	      key = "fl_conn_opts";
	    }
	  }
	}
	vshim;
      }

      : boxed_column {
	label = "&Right Connections";

	: popup30_list {
	  label = "Channel Detail";
	  key = "fr_chan";
	}

	: popup30_list {
	  label = "Support Detail";
	  key = "fr_supp";
	}

	: row {
	  : column {
	    : edit12_box {
	      label = "Channel Extension";
	      key = "fr_ext";
	    }
	    : edit12_box {
	      label = "Support Length";
	      key = "fr_len";
	    }
	  }
	  : column { 
	    : opts_button {
	      key = "fr_conn_opts";
	    }
	  }
	}
	vshim;
      }
    }
    vshim;
  }
}

back_channel : boxed_row {
  label = "&Back Channel";
      
  : column {
    : row {
      : row {
	fixed_width = true;
	width = 55;
	
	: popup25_list {
	  label = "Size";
	  key = "back_chan";
	  fixed_width = true;
	  width = 35;
	}

	: toggle {
	  key = "separate_channels";
	}

	spacer;

	: button10 {
	label = "Bolts";
	key = "back_chan_bolts";
	}
      }

      : row {

	: edit12_box {
	  label = "Location";
	  key = "back_chan_loc";
	  fixed_width = true;
	  width = 25;
	}

	spacer;

	: toggle {
	  label = "Flip";
	  key = "flip_back";
	}
      }
    }

    : row {
      : boxed_column {
	label = "&Left Connections";

	: popup30_list {
	  label = "Channel Detail";
	  key = "bl_chan";
	}

	: popup30_list {
	  label = "Support Detail";
	  key = "bl_supp";
	}

	: row {
	  : column {
	    : edit12_box {
	      label = "Channel Extension";
	      key = "bl_ext";
	    }
	    : edit12_box {
	      label = "Support Length";
	      key = "bl_len";
	    }
	  }
	  : column { 
	    : opts_button {
	      key = "bl_conn_opts";
	    }
	    : toggle {
	      label = "Separate";
	      key = "separate_bl";
	    }
	  }
	}
	vshim;
      }

      : boxed_column {
	label = "&Right Connections";

	: popup30_list {
	  label = "Channel Detail";
	  key = "br_chan";
	}

	: popup30_list {
	  label = "Support Detail";
	  key = "br_supp";
	}

	: row {
	  : column {
	    : edit12_box {
	      label = "Channel Extension";
	      key = "br_ext";
	    }
	    : edit12_box {
	      label = "Support Length";
	      key = "br_len";
	    }
	  }
	  : column { 
	    : opts_button {
	      key = "br_conn_opts";
	    }
	    : toggle {
	      label = "Separate";
	      key = "separate_br";
	    }
	  }
	}
	vshim;
      }
    }
    vshim;
  }
}

button10 : button {
  width = 10;
  fixed_width = true;
}

opts_button : button {
  label = "Options";
}

x_bracing : boxed_row {
  label = "&X-Bracing";

  : column {
    : row {
      : text {
        label = "Bay";
      }
      : text {
        label = "Bot Offset";
        fixed_width = true;
      }
    }
    : row {
      : toggle {
        label = "Front";
        key = "f_brace";
      }
      : edit5_box {
        key = "f_brace_hold";
        fixed_width = true;
        is_enabled = false;
      }
    }

    : row {
      : toggle {
        label = "Back";
        key = "b_brace";
      }
      : edit5_box {
        key = "b_brace_hold";
        fixed_width = true;
        is_enabled = false;
      }
    }

    : row {
      : toggle {
        label = "Left";
        key = "l_brace";
      }
      : edit5_box {
        key = "l_brace_hold";
        fixed_width = true;
        is_enabled = false;
      }
    }

    : row {
      : toggle {
        label = "Right";
        key = "r_brace";
      }
      : edit5_box {
        key = "r_brace_hold";
        fixed_width = true;
        is_enabled = false;
      }
    }
    vshim;
  }
}

misc : boxed_column {
  label = "&Miscellaneous";
  
  : row {
    spacer_0;
    /* : button10 { */
    /*   label = "Standpipes"; */
    /* } */

    : button10 {
      label = "Get Front Stair Info";
      key = "update_front_stairs";
      action = "(update-stairs \"front\")";
    }

    : button10 {
      label = "Get Back Stair Info";
      key = "update_back_stairs";
      action = "(update-stairs \"back\")";
    }

    spacer_0;
  }
  vshim;
}
