rail_opts : dialog {
  label = "Rail Options";

  : column {

    basic_info;
    
    : row {

      inside_rail;
      outside_rail;
    }
  }
  save_cancel;
}

basic_info : boxed_column {
  label = "Basic &Information";

  : row {

    : toggle {
      label = "Handrail Level-off";
      key = "rail_lvl-off";
    }

    : toggle {
      label = "Inhibit Guard Between";
      key = "rail_no_guard_btwn";
    }

    : spacer { width = 30; }
  }
  vshim;
}

inside_rail : boxed_column {
  label = "&Inside Rail";

  : popup25_list {
    label = "Type";
    key = "i-rail_type";
  }

  : edit12_box {
    label = "Top Frame Extension";
    key = "i-rail_top_ext";
    is_enabled = false;
  }

  : edit12_box {
    label = "Bottom Frame Extension";
    key = "i-rail_bot_ext";
    is_enabled = false;
  }

  : edit12_box {
    label = "Cutoff (below top FF)";
    key = "i-rail_cutoff";
    is_enabled = false;
  }

  : toggle {
    label = "Top D-loop";
    key = "i-rail_top_dloop";
    is_enabled = false;
  }

  : toggle {
    label = "Bottom D-loop";
    key = "i-rail_bot_dloop";
    is_enabled = false;
  }

  : toggle {
    label = "Inhibit Top Guard";
    key = "i-rail_no_top_guard";
    is_enabled = false;
  }

  : toggle {
    label = "Inhibit Bottom Guard";
    key = "i-rail_no_bot_guard";
    is_enabled = false;
  }

  : toggle {
    label = "Top Mount";
    key = "i-rail_topmnt";
    is_enabled = false;
  }

  vshim;
}

outside_rail : boxed_column {
  label = "&Outside Rail";

  : popup25_list {
    label = "Type";
    key = "o-rail_type";
  }

  : edit12_box {
    label = "Top Frame Extension";
    key = "o-rail_top_ext";
    is_enabled = false;
  }

  : edit12_box {
    label = "Bottom Frame Extension";
    key = "o-rail_bot_ext";
    is_enabled = false;
  }

  : edit12_box {
    label = "Cutoff (below top FF)";
    key = "o-rail_cutoff";
    is_enabled = false;
  }

  : toggle {
    label = "Top D-loop";
    key = "o-rail_top_dloop";
    is_enabled = false;
  }

  : toggle {
    label = "Bottom D-loop";
    key = "o-rail_bot_dloop";
    is_enabled = false;
  }

  : toggle {
    label = "Inhibit Top Guard";
    key = "o-rail_no_top_guard";
    is_enabled = false;
  }

  : toggle {
    label = "Inhibit Bottom Guard";
    key = "o-rail_no_bot_guard";
    is_enabled = false;
  }

  : toggle {
    label = "Top Mount";
    key = "o-rail_topmnt";
    is_enabled = false;
  }

  vshim;
}
