// Stair edit dialog

stair : dialog {
  label = "Stair";

  : row {

    : column {

      : boxed_column {
	label = "Basic &Information";

	: edit12_box {
	  label = "Stair";
	  key = "number";
	}

	: edit12_box {
	  label = "Tread Depth";
	  key = "tread_depth";
	}

	: edit12_box {
	  label = "Overall Width";
	  key = "width";
	}

	: edit12_box {
	  label = "Distance Between";
	  key = "dist_btwn";
	}

	: edit12_box {
	  label = "Top Connection Distance";
	  key = "top_cdist";
	}

	: edit12_box {
	  label = "Bottom Connection Distance";
	  key = "bot_cdist";
	}

	: edit12_box {
	  label = "Head Clearance";
	  key = "head_clr";
	}

	: popup30_list {
	  label = "Ascend";
	  key = "ascend";
	  list = "Left\nRight";
	}

	: row {

	  : popup_list {
	    label = "Tread";
	    key = "tread_style";
	    edit_width = 18.6;
	  }

	  : button {
	    label = "&Options";
	    width = 10;
	    fixed_width = true;
	    key = "tread_opts";
	  }
	}

	: row {

	  : popup_list {
	    label = "Rail";
	    key = "rail_style";
	    edit_width = 18.6;
	  }

	  : button {
	    label = "&Options";
	    width = 10;
	    fixed_width = true;
	    key = "rail_opts";
	  }
	}

	: popup_list {
	  label = "Finish";
	  key = "finish";
	  edit_width = 40;
	}

	vshim;

	: row {
	  : toggle {
	    label = "Separate Stringers";
	    key = "separate_stringers";
	  }
	  : toggle {
	    label = "Show connection";
	    key = "show_conn";
	  }
          : toggle {
	    label = "Show topview arc";
	    key = "show_arc";
	  }
	}
      }

      : column {
	
	: row {
	  : boxed_column {
	    label = "Left Strin&ger";
	    
	    : popup12_list {
	      label = "Material";
	      key = "l-string_mat";
	    }

	    : edit5_box {
	      label = "Top Offset";
	      key = "l-nosing_top";
	    }

	    : edit5_box {
	      label = "Mid Offset";
	      key = "l-nosing_mid";
	    }

	    : edit5_box {
	      label = "Bottom Offset";
	      key = "l-nosing_bot";
	    }

	    : edit5_box {
	      label = "Top Extend";
	      key = "l-string_xtra_tex";
	    }

	    : edit5_box {
	      label = "Bottom Extend";
	      key = "l-string_xtra_bex";
	    }
	    vshim;
	  }

	  : boxed_column {
	    label = "Right Strin&ger";
	    
	    : popup12_list {
	      label = "Material";
	      key = "r-string_mat";
	    }

	    : edit5_box {
	      label = "Top Offset";
	      key = "r-nosing_top";
	    }

	    : edit5_box {
	      label = "Mid Offset";
	      key = "r-nosing_mid";
	    }

	    : edit5_box {
	      label = "Bottom Offset";
	      key = "r-nosing_bot";
	    }

	    : edit5_box {
	      label = "Top Extend";
	      key = "r-string_xtra_tex";
	    }

	    : edit5_box {
	      label = "Bottom Extend";
	      key = "r-string_xtra_bex";
	    }
	    vshim;
	  }
	}
      } 
    } // standard settings

    : column {

      : boxed_radio_column {
	label = "&Location";

	: edit12_box {
	  label = "Level Designation";
	  key = "level";
	}

	: edit12_box {
	  label = "Flight Sequence";
	  key = "sequence";
	}

	: popup_list {
	  label = "Z-position";
	  key = "z_pos";
	  edit_width = 11.2;
	}

      	vshim;
      }

      : boxed_radio_column {
	label = "&Risers";

	: edit12_box {
	  label = "Floor-to-Floor Height";
	  key = "height_f2f";
	}

	: edit12_box {
	  label = "Total Risers";
	  key = "risers_level";
	}

	: edit12_box {
	  label = "Risers This Flight";
	  key = "rise_qty";
	}

	: edit12_box {
	  label = "Rise Height";
	  key = "rise_hgt";
	  is_enabled = false;
	}

	vshim;
      }

      : boxed_column {
	label = "&Top Connection";

	: row {
	  
	  : popup25_list {
	    key = "top_conn";
	  }

	  : button {
	    label = "&Options";
	    width = 10;
	    fixed_width = true;
	    key = "top_conn_opts";
	  }
	}
	
	: edit12_box {
	  label = "Extension";
	  key = "top_ext";
	}

	vshim;
      }

      : boxed_column {
	label = "&Bottom Connection";

	: row {
	  
	  : popup25_list {
	    key = "bot_conn";
	  }

	  : button {
	    label = "&Options";
	    width = 10;
	    fixed_width = true;
	    key = "bot_conn_opts";
	  }
	}

	: edit12_box {
	  label = "Extension";
	  key = "bot_ext";
	}

	vshim;
      }      
    }
  }

  comment_row;
  save_cancel_defaults;
}
