  (set-file-docstring "Function for modeling 3d guardrails")

  (psc-include '("3D/3d-model.lsp" "rail/guard-rail.lsp"))

  (defun-q draw-3d_guard (dat ins / blk def 3d-p)
    "Creates a 3d block of a guardrail via passed xdata and insert"
    (declare (vars (dat list (data-list-p dat)) (ins list (point-p ins))))
    (setq
      3d-p T
      def (calc-guard-rail dat)
      blk (p-blk (xd-value "assembly" dat))
    ) ;_ setq
    (add-calcd-objs blk T def)
    (setq blk (insert-block modelSpace ins blk))
    (vla-put-layer blk "3D Rail")
    (assign-xdata blk "3D_Guard" (format-xdata dat))
    blk
  ) ;_ defun-q draw-3d_guard
  (defun-r 'draw-3d_guard)
