
  (psc-include
   '( "3D/3d-guard.lsp"
      "rail/derived.lsp"
      "rail/dialog.lsp"
      "rail/migrations.lsp"
      "rail/util.lsp"
    ) ;_ quoted-list
  ) ;_ psc-include

  (defun-q c:dd-guard ( / sel ent dat app rot obj delta)
    "Creates or edits one or more guard rail blocks"
    (setq sel (get-sset '("Guard,3D_Guard")))
    (mapcar!
     '(lambda (ent)
        (setq dat (read-xdata ent ""))
        (with-data dat '((draw-xdata-migrate 'ent (xd-value "app_id" dat))))
        (if (= (type ent) 'ename) ent (vlobj>ename ent))
      ) ;_ lambda
      'sel
    ) ;_ mapcar
    (if (< (length sel) 2)
      (progn
        (setq
          ent (car sel)
          dat (if ent (read-xdata ent "") (guard-dcl-defaults))
          app (xd-value "app_id" dat)
          dat (guard-dialog dat)
        ) ;_ setq
        (if dat (with-data dat '((single-guard))))
      ) ;_ progn
      (progn
        (setq dat (guard-dcl-defaults) delta (multi-guard-dialog))
        (if delta (multi-guard delta))
      ) ;_ progn
    ) ;_ if
  ) ;_ defun-q c:dd-guard
  (defun-r 'c:dd-guard)
