(psc-include '("dialog/dialog.lsp"
               "common-data.lsp"))

(defun-q c:editfinish ( /
                        finish
                        finish-table
                        ;; variables defined here for dialog-init
                        defaults-file
                        popup-keys
                        dist-keys
                        int-keys
                        toggle-keys
                        plain-string-keys
                        default-actions
                        dialog-ties
                        sub-dialogs
                        ;; variables included here for scope,
                        ;; but not defined here directly
                        extra-keys
                        tile-actions
                        )
  "Edits the finish table entry in a fab drawing"
  ;; fail early with no finish table
  (if (not (setq finish-table (get-table-by-title "Finish")))
      (error "EDITFINISH: No Finish table found"))

  (setq popup-keys '(("finish" . finishes))
        finish (cadr (assoc "finish" (dialog-init "fab/finish.dcl" "finish" nil))))
  (vla-SetText finish-table 1 0 finish))
(defun-r 'c:editfinish)
