// Common dialog tiles

save_button : retirement_button {
  label = "&Save";
  key = "save";
  is_default = true;
  action = "(dialog-save-action)";
}

save_cancel : row {
  fixed_width = true;
  alignment = centered;
  save_button;
  : cancel_button {
    mnemonic = "C";
  }
}

save_cancel_defaults : column {
  : row {
    fixed_width = true;
    alignment = centered;

    save_button;

    : cancel_button {
      mnemonic = "C";
    }

    :spacer { width = 2; }

    : button {
      label = "Sa&ve defaults";
      key = "save_defaults";
      action = "(dialog-save-defaults nil)";
    }

    : button {
      label = "Load &defaults";
      key = "load_defaults";
      action = "(dialog-load-defaults-partial)";
    }
  }
}

edit5_box : edit12_box {
  edit_width = 5;
}

edit25_box : edit12_box {
  edit_width = 25;
}

popup12_list : popup_list {
  edit_width = 12;
}

popup25_list : popup_list {
  edit_width = 25;
}


popup30_list : popup_list {
  edit_width = 30;
}

hspacer2 : spacer { width = 2; }

vshim : spacer { height = 0.1; }

comment_row : row {

  : edit_box {
    label = "Comment";
    key = "comment";
  }
}

multi_comment_row : row {

  : edit_box {
    label = "Comment";
    key = "comment";
  }

  : toggle {
    key = "enable_comment";
    alignment = right;
    fixed_width = true;
  }
}

multi_enable : toggle {
  alignment = "right";
  fixed_width = true;
}

multi_enable_off : multi_enable {
  is_enabled = false;
}
