;; post detail entry for chan-details 
(defun post-detail (desc ext / lst)
  (setq lst '("1 Exp Anchor"
              "2 EM-5"
              "3 EM-2"
              "4 Steel beam")
        lst (if (= (substr desc 2 1) "5")
                (append (cdr lst) '("6 Corner plate w/ anchors"))
                lst)
        lst (rcons lst "X Custom")
        lst (mapcar '(lambda (x) (strcat (substr desc 1 1) x)) lst))
  (list desc ext lst))

;; hanger detail entry for chan-details 
(defun hanger-detail (desc ext / lst)
  (setq lst '("1 Steel, below, centered"
              "2 Steel, below, offset"
              "3 Steel, offset w/ plate"
              "4 EM-3"
              "5 EM-7"
              "7 Steel, below, offset (kicker)"
              "8 Steel, offset w/ plate (kicker)"
              "9 Steel, offset w/ BU plate (kicker)"
              "X Custom")
        lst (mapcar '(lambda (x) (strcat (substr desc 1 1) x)) lst))
  (list desc ext lst))

(setq chan-details (list
                    (post-detail "20 HSS Post, 2 1/2" 4.0)
                    (post-detail "25 HSS Post, 2 1/2, below" 0.0)
                    '("27 HSS Post, 2 1/2, shared" 4.0)
                    (post-detail "30 HSS Post, 3" 4.0)
                    (post-detail "35 HSS Post, 3, below" 0.0)
                    '("37 HSS Post, 3, shared" 4.0)
                    (hanger-detail "40 Hanger Rod, 3/4" 4.0)
                    (hanger-detail "50 Hanger Rod, 1" 4.0)
                    '("60 Ledger w/SC, seismic, embed" 0.0)
                    '("61 Ledger w/SC, seismic, exp anchor" 0.0)
                    '("62 Ledger w/SC, seismic, CMU anchor" 0.0)
                    ;; '("63 FS Ledger, seismic, embed" 0.0)
                    ;; '("64 FS Ledger, seismic, exp anchor" 0.0)
                    ;; '("65 FS Ledger, seismic, CMU anchor" 0.0)
                    '("66 Ledger, seismic, embed" 0.0)
                    '("67 Ledger, seismic, exp anchor" 0.0)
                    '("68 Ledger, seismic, CMU anchor" 0.0)
                    '("70 Ledger w/SC, fixed, embed" 0.0)
                    '("71 Ledger w/SC, fixed, conc. anchor" 0.0)
                    '("72 Ledger w/SC, fixed, CMU anchor" 0.0)
                    ;; '("73 FS Ledger, fixed, embed" 0.0)
                    ;; '("74 FS Ledger, fixed, exp anchor" 0.0)
                    ;; '("75 FS Ledger, fixed, CMU anchor" 0.0)
                    '("76 Ledger, fixed, inverted" 0.0)
                    '("77 Ledger, fixed, embed" 0.0)
                    '("78 Ledger, fixed, exp anchor" 0.0)
                    '("79 Ledger, fixed, CMU anchor" 0.0)
                    (list "85 Haunched outer stringer" 0.0 stringers)
                    '("XX Custom, no extra parts" 0.0)
                    '("XS Custom w/SC, no extra parts" 0.0))
      chan-details-strings (mapcar 'car chan-details))
