  DD_GUARD
  : dialog { // DD_GUARD
    label = "Guardrail Design / Edit"; // initial_focus = "number";
    : row { // Name, Options, Finish, HR Left, HR Right
      : column {
        : row {
          : boxed_column { // Name Column
            key = "Name"; label = "&Name";
            width = 25; fixed_width = true;
            : column { // number level sequence
              : edit_box {label = "Stair"; key = "number"; edit_width = 6;}
              : edit_box {label = "Level"; key = "level"; edit_width = 6;}
              : edit_box {label = "Sequence"; key = "sequence"; edit_width = 6;}
            }
          }
          : boxed_column { // Options Column
            key = "Optn"; label = "&Options";
            width = 25; fixed_width = true;
            : column { // guard_sty hand_txt guard_hand kick_txt guard_kick
              : popup_list {key = "guard_sty";}
              : row {
                : text {key = "hand_txt"; value = "Hand Rail"; width = 19.625;}
                : toggle {key = "guard_hand";}
              }
              : row {
                : text {key = "kick_txt"; value = "Kick Plate"; width = 19.625;}
                : toggle {key = "guard_kick";}
              }
            }
          }
        }
        : row { // Finish Dropdown
          : text {label = "   &Finish";}
          : popup_list {key = "finish"; width = 45;}
        }
      }
      : boxed_column { // Left HRet
        key = "Lret"; label = "&HR Left";
        width = 25; fixed_width = true;
        height = 8.5; fixed_height = true;
        : column { // hrl_con hrl_off hrl_ang
          : popup_list {key = "hrl_con";}
          : edit_box {key = "hrl_off"; label = "Offset"; edit_width = 6;}
          : edit_box {key = "hrl_ang"; label = "Angle"; edit_width = 6;}
          : edit_box {key = "hrl_gap"; label = "Gap"; edit_width = 6;}
        }
      }
      : boxed_column { // Right HRet
        key = "Rret"; label = "&HR Right";
        width = 25; fixed_width = true;
        height = 8.5; fixed_height = true;
        : column { // hrr_con hrr_off hrr_ang
          : popup_list {key = "hrr_con";}
          : edit_box {key = "hrr_off"; label = "Offset"; edit_width = 6;}
          : edit_box {key = "hrr_ang"; label = "Angle"; edit_width = 6;}
          : edit_box {key = "hrr_gap"; label = "Gap"; edit_width = 6;}
        }
      }
    }
    : row { // Info, L Post, M Post, R Post
      : boxed_column { // Information Column
        key = "Info"; label = "&Information";
        width = 25; fixed_width = true;
        height = 6.125; fixed_height = true;
        : column { // guard_lng guard_hgt guard_qty
          : edit_box {label = "Length"; key = "guard_lng"; edit_width = 6;}
          : edit_box {label = "Height"; key = "guard_hgt"; edit_width = 6;}
          : edit_box {label = "Quantity"; key = "guard_qty"; edit_width = 6;}
        }
      }
      : boxed_column { // Left Post
        key = "left_post"; label = "&Left Post";
        width = 25; fixed_width = true;
        height = 6.125; fixed_height = true;
        : column { // lpost_con lpost_txt lpost_ext lpost_tab
          : popup_list {key = "lpost_con";}
          : row {
            : text {key = "lpost_txt"; value = "Extension"; width = 6;}
            : edit_box {key = "lpost_ext"; edit_width = 6;}
          }
          : edit_box {label = "Knife Lng."; key = "lpost_tab"; edit_width = 6;}
        }
      }
      : boxed_column { // Mid Post
        key = "mid_post"; label = "&Mid Post(s)";
        width = 25; fixed_width = true;
        height = 6.125; fixed_height = true;
        : column { // mpost_con mpost_txt mpost_ext mpost_tab
          : popup_list {key = "mpost_con";}
          : row {
            : text {key = "mpost_txt"; value = "Extension"; width = 6;}
            : edit_box {key = "mpost_ext"; edit_width = 6;}
          }
          : edit_box {label = "Knife Lng."; key = "mpost_tab"; edit_width = 6;}
        }
      }
      : boxed_column { // Right Post
        key = "right_post"; label = "&Right Post";
        width = 25; fixed_width = true;
        height = 6.125; fixed_height = true;
        : column { // rpost_con rpost_txt rpost_ext rpost_tab
          : popup_list {key = "rpost_con";}
          : row {
            : text {key = "rpost_txt"; value = "Extension"; width = 6;}
            : edit_box {key = "rpost_ext"; edit_width = 6;}
          }
          : edit_box {label = "Knife Lng."; key = "rpost_tab"; edit_width = 6;}
        }
      }
    }
    : row { // Comment, Save/Cancel
      : edit_box {
        fixed_width = true; width = 82.5; edit_width = 63.375;
        label = "   Commen&t"; key = "guard_com";
      }
      save_cancel;
      spacer_0;
    }
  }

  MULTI_DD_GUARD
  : dialog { // MULTI_DD_GUARD
    label = "Guardrail Multi Edit"; // initial_focus = "tog_str";
    : row { // Name, Options, Finish, HR Left, HR Right
      : column {
        : row {
          : boxed_column { // Name Column
            key = "Name"; label = "&Name";
            width = 25; fixed_width = true;
            : row {
              : column { // tog_str tog_lvl tog_seq
                : toggle {key = "tog_str";}
                : toggle {key = "tog_lvl";}
                : toggle {key = "tog_seq";}
              }
              : column { // number level sequence
                width = 21; fixed_width = true;
                : edit_box {label = "Stair"; key = "number"; edit_width = 6;}
                : edit_box {label = "Level"; key = "level"; edit_width = 6;}
                : edit_box {label = "Sequence"; key = "sequence"; edit_width = 6;}
              }
            }
          }
          : boxed_column { // Options Column
            key = "Optn"; label = "&Options";
            width = 25; fixed_width = true;
            : row {
              : column { // tog_sty tog_hnd tog_kck
                : toggle {key = "tog_sty";}
                : toggle {key = "tog_hnd";}
                : toggle {key = "tog_kck";}
              }
              : column { // guard_sty hand_txt guard_hand kick_txt guard_kick
                width = 21; fixed_width = true;
                : popup_list {key = "guard_sty";}
                : row {
                  : text {key = "hand_txt"; value = "Hand Rail"; width = 15;}
                  : toggle {key = "guard_hand";}
                }
                : row {
                  : text {key = "kick_txt"; value = "Kick Plate"; width = 15;}
                  : toggle {key = "guard_kick";}
                }
              }
            }
          }
        }
        : row { // Finish Dropdown
          spacer_1;
          : toggle {key = "tog_fin";}
          : text {label = "&Finish";}
          : popup_list {key = "finish"; width = 42;}
        }
      }
      : boxed_column { // Left HRet
        key = "Lret"; label = "&HR Left";
        width = 25; fixed_width = true;
        height = 8.5; fixed_height = true;
        : row {
          : column { // tog_str tog_lvl tog_seq
            : toggle {key = "tog_hrlc";}
            : toggle {key = "tog_hrlo";}
            : toggle {key = "tog_hrla";}
            : toggle {key = "tog_hrlg";}
          }
          : column { // hrl_con hrl_off hrl_ang
            width = 21; fixed_width = true;
            : popup_list {key = "hrl_con";}
            : edit_box {key = "hrl_off"; label = "Offset"; edit_width = 6;}
            : edit_box {key = "hrl_ang"; label = "Angle"; edit_width = 6;}
            : edit_box {key = "hrl_gap"; label = "Gap"; edit_width = 6;}
          }
        }
      }
      : boxed_column { // Right HRet
        key = "Rret"; label = "&HR Right";
        width = 25; fixed_width = true;
        height = 8.5; fixed_height = true;
        : row {
          : column { // tog_str tog_lvl tog_seq
            : toggle {key = "tog_hrrc";}
            : toggle {key = "tog_hrro";}
            : toggle {key = "tog_hrra";}
            : toggle {key = "tog_hrrg";}
          }
          : column { // hrr_con hrr_off hrr_ang
            width = 21; fixed_width = true;
            : popup_list {key = "hrr_con";}
            : edit_box {key = "hrr_off"; label = "Offset"; edit_width = 6;}
            : edit_box {key = "hrr_ang"; label = "Angle"; edit_width = 6;}
            : edit_box {key = "hrr_gap"; label = "Gap"; edit_width = 6;}
          }
        }
      }
    }
    : row { // Info, L Post, M Post, R Post
      : boxed_column { // Information Column
        key = "Info"; label = "&Information";
        width = 25; fixed_width = true;
        height = 6.125; fixed_height = true;
        : row {
          : column { // tog_lng tog_hgt tog_qty
            : toggle {key = "tog_lng";}
            : toggle {key = "tog_hgt";}
            : toggle {key = "tog_qty";}
          }
          : column { // guard_lng guard_hgt guard_qty
            width = 21; fixed_width = true;
            : edit_box {label = "Length"; key = "guard_lng"; edit_width = 6;}
            : edit_box {label = "Height"; key = "guard_hgt"; edit_width = 6;}
            : edit_box {label = "Quantity"; key = "guard_qty"; edit_width = 6;}
          }
        }
      }
      : boxed_column { // Left Post
        key = "left_post"; label = "&Left Post";
        width = 25; fixed_width = true;
        height = 6.125; fixed_height = true;
        : row {
          : column { // tog_lcon tog_ltxt tog_ltab
            : toggle {key = "tog_lcon";}
            : toggle {key = "tog_lext";}
            : toggle {key = "tog_ltab";}
          }
          : column { // lpost_con lpost_txt lpost_ext lpost_tab
            width = 21; fixed_width = true;
            : popup_list {key = "lpost_con";}
            : row {
              : text {key = "lpost_txt"; value = "Extension"; width = 6;}
              : edit_box {key = "lpost_ext"; edit_width = 6;}
            }
            : edit_box {label = "Knife Lng."; key = "lpost_tab"; edit_width = 6;}
          }
        }
      }
      : boxed_column { // Mid Post
        key = "mid_post"; label = "&Mid Post(s)";
        width = 25; fixed_width = true;
        height = 6.125; fixed_height = true;
        : row {
          : column { // tog_mcon tog_mtxt tog_mtab
            : toggle {key = "tog_mcon";}
            : toggle {key = "tog_mext";}
            : toggle {key = "tog_mtab";}
          }
          : column { // mpost_con mpost_txt mpost_ext mpost_tab
            width = 21; fixed_width = true;
            : popup_list {key = "mpost_con";}
            : row {
              : text {key = "mpost_txt"; value = "Extension"; width = 6;}
              : edit_box {key = "mpost_ext"; edit_width = 6;}
            }
            : edit_box {label = "Knife Lng."; key = "mpost_tab"; edit_width = 6;}
          }
        }
      }
      : boxed_column { // Right Post
        key = "right_post"; label = "&Right Post";
        width = 25; fixed_width = true;
        height = 6.125; fixed_height = true;
        : row {
          : column { // tog_rcon tog_rtxt tog_rtab
            : toggle {key = "tog_rcon";}
            : toggle {key = "tog_rext";}
            : toggle {key = "tog_rtab";}
          }
          : column { // rpost_con rpost_txt rpost_ext rpost_tab
            width = 21; fixed_width = true;
            : popup_list {key = "rpost_con";}
            : row {
              : text {key = "rpost_txt"; value = "Extension"; width = 6;}
              : edit_box {key = "rpost_ext"; edit_width = 6;}
            }
            : edit_box {label = "Knife Lng."; key = "rpost_tab"; edit_width = 6;}
          }
        }
      }
    }
    : row { // Comment, Save/Cancel
      : column {
        width = 84; fixed_width = true;
        : row {spacer_0; spacer_1;
          : column {
            : row {
              : toggle {key = "tog_com";}
            }
          }
          : column {
            : edit_box {label = "Commen&t"; alignment = right; key = "guard_com"; edit_width = 63.625; width = 77;}
          }
        }
      }
      save_cancel;
      spacer_0;
    }
  }
