rail_opts : dialog {
  label = "Rail Options";

  : column {

    basic_info;
    
    : row {

      inside_rail;
      outside_rail;
    }
  }
  save_cancel;
}

basic_info : boxed_column {
  label = "Basic &Information";

  : row {

    : row {
      : toggle {
	label = "Handrail Level-off";
	key = "rail_lvl-off";
	is_enabled = false;
      }

      : multi_enable {
	key = "enable_rail_lvl-off";
      }
    }

    : spacer { width = 30; }
  }
  vshim;
}

inside_rail : boxed_column {
  label = "&Inside Rail";

  : row {
    : popup25_list {
      label = "Type";
      key = "i-rail_type";
      is_enabled = false;
    }

    : multi_enable {
      key = "enable_i-rail_type";
    }
  }

  : row {
    : edit12_box {
      label = "Top Frame Extension";
      key = "i-rail_top_ext";
      is_enabled = false;
    }

    : multi_enable {
      key = "enable_i-rail_top_ext";
    }
  }

  : row {
    : edit12_box {
      label = "Bottom Frame Extension";
      key = "i-rail_bot_ext";
      is_enabled = false;
    }

    : multi_enable {
      key = "enable_i-rail_bot_ext";
    }
  }

  : row {
    : edit12_box {
      label = "Cutoff (below top FF)";
      key = "i-rail_cutoff";
      is_enabled = false;
    }

    : multi_enable {
      key = "enable_i-rail_cutoff";
    }
  }

  : row {
    : toggle {
      label = "Top D-loop";
      key = "i-rail_top_dloop";
      is_enabled = false;
    }

    : multi_enable {
      key = "enable_i-rail_top_dloop";
    }
  }

  : row {
    : toggle {
      label = "Bottom D-loop";
      key = "i-rail_bot_dloop";
      is_enabled = false;
    }

    : multi_enable {
      key = "enable_i-rail_bot_dloop";
    }
  }

  : row {
    : toggle {
      label = "Top Mount";
      key = "i-rail_topmnt";
      is_enabled = false;
    }

    : multi_enable {
      key = "enable_i-rail_topmnt";
    }
  }

  vshim;
}

outside_rail : boxed_column {
  label = "&Outside Rail";

  : row {
    : popup25_list {
      label = "Type";
      key = "o-rail_type";
      is_enabled = false;
    }

    : multi_enable {
      key = "enable_o-rail_type";
    }
  }

  : row {
    : edit12_box {
      label = "Top Frame Extension";
      key = "o-rail_top_ext";
      is_enabled = false;
    }

    : multi_enable {
      key = "enable_o-rail_top_ext";
    }
  }

  : row {
    : edit12_box {
      label = "Bottom Frame Extension";
      key = "o-rail_bot_ext";
      is_enabled = false;
    }

    : multi_enable {
      key = "enable_o-rail_bot_ext";
    }
  }

  : row {
    : edit12_box {
      label = "Cutoff (below top FF)";
      key = "o-rail_cutoff";
      is_enabled = false;
    }

    : multi_enable {
      key = "enable_o-rail_cutoff";
    }
  }

  : row {
    : toggle {
      label = "Top D-loop";
      key = "o-rail_top_dloop";
      is_enabled = false;
    }

    : multi_enable {
      key = "enable_o-rail_top_dloop";
    }
  }

  : row {
    : toggle {
      label = "Bottom D-loop";
      key = "o-rail_bot_dloop";
      is_enabled = false;
    }

    : multi_enable {
      key = "enable_o-rail_bot_dloop";
    }
  }

  : row {
    : toggle {
      label = "Top Mount";
      key = "o-rail_topmnt";
      is_enabled = false;
    }

    : multi_enable {
      key = "enable_o-rail_topmnt";
    }
  }

  vshim;
}
